{% extends 'base.html' %}
{% block content %}

    {% for message in messages %}
    <div class="container-fluid p-0">
        <div class="alert alert-danger {{ message.tags }} alert-dismissible" role="alert" >
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="True">&times;</span>
        </button>
        {{ message }}
        </div>
    </div>
    {% endfor %}
    {% if request.session.role == "Admin" %}
    <table class="table">
        <thead><tr>
            <th scope="col">Nama</th>
            <th scope="col">Harga</th>
            <th scope="col">Tingkat Energi</th>
            <th scope="col">Tingkat Kelaparan</th>
            <th scope="col">Action</th>
          </tr></thead>
        {% if list_makanan %}
            {% for makanan in list_makanan %}
            <tr scope="row">
                <td> {{ makanan.0 }} </td>
                <td> {{ makanan.1 }} </td>
                <td> {{ makanan.2 }} </td>
                <td> {{ makanan.3 }} </td>
                <td>
                    <div style="display: flex; gap: 4px;">
                        <div>
                           <form method="get" action="/update/update_makanan">
                            <input type="hidden" name="nama_makanan" value="{{ makanan.0 }}">
                           <button class="btn btn-primary">Update</button>
                        </form>
                        </div>
                        <div>
                           {% if makanan.4 %}
                            <a href='/delete/hapus_makanan/{{ makanan.0 }}'>
                               <button type="button" class="btn btn-primary" >Delete</button>
                            </a>
                            {% endif %}
                        </div>
                    </div>
                </td>
            </tr>
            {% endfor %}
        {% endif %}
    </table>
    {% endif %}
    {% if request.session.role == "Pemain" %}
    <table class="table">
        <thead><tr>
            <th scope="col">Nama</th>
            <th scope="col">Harga</th>
            <th scope="col">Tingkat Energi</th>
            <th scope="col">Tingkat Kelaparan</th>
          </tr></thead>
        {% if list_makanan %}
            {% for makanan in list_makanan %}
            <tr scope="row">
                <td> {{ makanan.0 }} </td>
                <td> {{ makanan.1 }} </td>
                <td> {{ makanan.2 }} </td>
                <td> {{ makanan.3 }} </td>
            </tr>
            {% endfor %}
        {% endif %}
    </table>
    {% endif %}

{% endblock content %}

{% block js %}
    <script>
        $('.modal').modal()
    </script>
{% endblock js %}